CURLOPT_PROXYUSERPWD(3)

NAME
CURLOPT_PROXYUSERPWD - set user and password to use for the proxy

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_PROXYUSERPWD, char *userpwd);

DESCRIPTION
Pass a char * as parameter, which should be [user name]:[password] to use for the connection to the HTTP proxy. Both the name and the password will be URL decoded before use, so to include for example a colon in the user name you should encode it as %3A. (This is different to how CURLOPT_USERPWD(3) is used - beware.) Use CURLOPT_PROXYAUTH(3) to specify the authentication method.

DEFAULT
This is NULL by default.

PROTOCOLS
Used with all protocols that can use a proxy

EXAMPLE
TODO

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK if proxies are supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_PROXY(3), CURLOPT_PROXYTYPE(3),